std::ctype_base Struct Reference

`#include <ctype_base.h>`

Inheritance diagram for std::ctype_base:
[legend]

## Public Types

typedef const int * | __to_type
typedef unsigned short | mask

## Static Public Attributes

static const mask | alnum
static const mask | alpha
static const mask | blank
static const mask | cntrl
static const mask | digit
static const mask | graph
static const mask | lower
static const mask | print
static const mask | punct
static const mask | space
static const mask | upper
static const mask | xdigit

## Detailed Description

Base class for ctype.

Definition at line 41 of file ctype_base.h.

## Member Typedef Documentation

## __to_type

typedef const int* std::ctype_base::__to_type

Definition at line 44 of file ctype_base.h.

## mask

typedef unsigned short std::ctype_base::mask

Definition at line 48 of file ctype_base.h.

## Member Data Documentation

## alnum

const mask std::ctype_base::alnum

static

Definition at line 59 of file ctype_base.h.

## alpha

const mask std::ctype_base::alpha

static

Definition at line 51 of file ctype_base.h.

## blank

const mask std::ctype_base::blank

static

Definition at line 61 of file ctype_base.h.

## cntrl

const mask std::ctype_base::cntrl

static

Definition at line 57 of file ctype_base.h.

## digit

const mask std::ctype_base::digit

static

Definition at line 52 of file ctype_base.h.

## graph

const mask std::ctype_base::graph

static

Definition at line 56 of file ctype_base.h.

## lower

const mask std::ctype_base::lower

static

Definition at line 50 of file ctype_base.h.

## print

const mask std::ctype_base::print

static

Definition at line 55 of file ctype_base.h.

## punct

const mask std::ctype_base::punct

static

Definition at line 58 of file ctype_base.h.

## space

const mask std::ctype_base::space

static

Definition at line 54 of file ctype_base.h.

## upper

const mask std::ctype_base::upper

static

Definition at line 49 of file ctype_base.h.

## xdigit

const mask std::ctype_base::xdigit

static

Definition at line 53 of file ctype_base.h.

The documentation for this struct was generated from the following file:

- ctype_base.h